$:.push File.expand_path('lib', __dir__)

# Maintain your gem's version:
require 'laser_beam/version'

# Describe your gem and declare its dependencies:
Gem::Specification.new do |s|
  s.name        = 'laser_beam'
  s.version     = LaserBeam::VERSION
  s.authors     = ['Paul McKibbin']
  s.email       = ['pmckibbin@gmail.com']
  s.homepage    = 'http://github.com/blackrat/laser_beam'
  s.summary     = 'Laser Beam dependency injection.'
  s.description = 'Simple dependency injection for Ruby classes'
  s.license     = 'MIT'

  s.files         = `git ls-files`.split($/)
  s.executables   = s.files.grep(%r{^bin/}) { |f| File.basename(f) }
  s.test_files    = s.files.grep(%r{^(test|spec|features)/})
  s.require_paths = ['lib']

  s.add_dependency 'activesupport', '~> 6'

  s.add_development_dependency 'bundler', '~> 2.2'
  s.add_development_dependency 'rake', '~> 13.0'
  s.add_development_dependency 'minitest', '~> 5.14'
  s.add_development_dependency 'simplecov', '~> 1.3'
end
